> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET/Projection/projectionId                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  

> 해당 프로젝트의 Projection 정책 중 특정 projection ID 정책을 볼수 있는 API 입니다.

## 1. 엔드포인트

```text GET/Projection theme={null}
GET https://rest-api.argosidentity.com/v3/projection/{projectionId}
```

## 2. 인증

`x-api-key` 헤더에 API 키를 포함시켜야 합니다:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. 요청 파라미터

URL 쿼리 스트링 형태로 추가하여야 합니다.

<ResponseField name="projectionId" type="string" required>
  고유한 Projection 의 ID
</ResponseField>

## 4. 요청 예시

<Warning>
  파라메터 기재시 projectionId 값만 기재하셔야 합니다. projectionId= 형식으로 기재하시면 동작하지 않습니다.

  * [https://rest-api.argosidentity.com/v3/projection/55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/**55sqp8ma0jvwh) (O)
  * [https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh) (X)
</Warning>

```curl GET/Projection theme={null}
curl --location 'https://rest-api.argosidentity.com/v3/projection/{projectrionId}' \
--header 'x-api-key: {yourAPIKey}'
```

## 5. 응답

### 5-1. 성공 응답

<CodeGroup>
  ```json result-get-projection.json theme={null}
  {
      "item": {
          "projection_id": "{projection_id}",
          "name": "{name}",
          "mode": "{mode}",
          "fields": [
              "gender",
              "nationality"
          ],
          "created_at": "2023-12-01T12:34:56.789Z"
      },
      "message": "Get projection success"
  }
  ```
</CodeGroup>

### 5-2. 응답 데이터 필드

| 필드명             | 설명                                         | 데이터 타입         | 카테고리            |
| --------------- | ------------------------------------------ | -------------- | --------------- |
| `projection_id` | 고유의 Projection ID                          | String         | Projection Info |
| `name`          | Projection 의 지정된 이름                        | String         | Projection Info |
| `mode`          | Projection 모드를 설정함 현재는`exclude` 옵션만 지원합니다. | String         | Projection Info |
| `fields`        | 제외 시킬 Field 항목들                            | Array\<String> | Projection Info |
| `created_at`    | 생성 날짜 (ISO 8601 형식)                        | String         | Projection Info |

### 5-3. 오류 코드

| 응답 코드 | 오류 메시지                                                | 설명                                            |
| ----- | ----------------------------------------------------- | --------------------------------------------- |
| 404   | Projection not found                                  | 지정한 projectionId 가 프로젝션 목록에 없는 경우             |
| 405   | Method not allowed for /projections/projectionId path | GET, DELETE 이외의 HTTP 메서드(POST, PUT 등)로 요청한 경우 |
| 500   | Internal server error                                 | 서버 내부에서 처리되지 않은 예외가 발생한 경우                    |
